<template>
    <div class="common-btn-box1 font12" @click="handleBtnClick()" style="">
        <span>{{ titleBnt }}</span>
    </div>
</template>

<script setup lang="ts" name="Generate">
import { computed } from "vue";
const $router = useRouter();
defineProps<{
    selectionList?: any[];
    handleChildBtnCallback?: () => void;
    ruleForm: any;
}>();
const emits = defineEmits<{
    (e: "handleBtnItemCallback", result: Record<string, any>): void;
}>();
let routeName: any = ref($router.currentRoute.value.name);

let titleBnt = computed(() => {
    const Title: any = {
        barCode: "生成条码",
        antiCode: "生成防伪码"
    };

    return Title[routeName.value];
});
// 提交事件
const handleBtnClick = () => {
    emits("handleBtnItemCallback", {
        type: "Generate"
    });
};
</script>

<style scoped>
@use "../index.scss";
</style>
